{% extends 'employee/base.html' %}

{% load static %}

{% block extra_css %}
    <style>
    .text-field {
        display: flex;
        align-items: center;
    }
    .text-field label {
        margin-right: 15px;
        width: 140px;
    }

    .button-action {
        margin-top: 20px;
        margin-left: 140px;
    }
    </style>
{% endblock %}


{% block content_page %}

    <div class="block-education_experience">
        <div class="container">

            <div class="row">
                <div class="col s12 m12">
                    <br><br>
                    <h1 class="center">Registro de empleado para calcular su (IMC)</h1> <br><br>
                    <form action="{% url 'register-employee' %}" method="post"
                          name="employee"
                          onsubmit="return checkForm(this)">
                        {% csrf_token %}

                        <div class="text-field">
                            <label for="name">Nombre: </label>
                            <input type="text" name="name" id="name" placeholder="Ingresa nombre empleado"
                                   autocomplete="off">
                        </div>
                        <div class="text-field">
                            <label for="years_old">Edad</label>
                            <input type="number" name="years_old" id="years_old" placeholder="Ingresa edad empleado"
                                   autocomplete="off">
                        </div>
                        <div class="text-field">
                            <label for="position">Posición</label>
                            <select name="position" id="position">
                                <option value="">Selecciona una posición de empleado</option>
                                <option value="manager">Gerente</option>
                                <option value="sub_manager">Sub Gerente</option>
                                <option value="technical_leader">Lider tecnico</option>
                                <option value="professional">Profesional</option>
                                <option value="operator">Operador</option>
                                <option value="various_services">Servicios Varios</option>
                            </select>
                        </div>
                        <div class="text-field">
                            <label for="weight">Peso (kg):</label>
                            <input type="number" name="weight" id="weight"
                                   placeholder="Ingresa peso de empleado (kg)"
                                   step=".01" min="0" max="400"
                                   onkeyup="checkDecimalField(this)"

                                   autocomplete="off">

                        </div>
                        <div class="text-field">
                            <label for="height">Estatura (m)</label>
                            <input type="number" name="height" id="height"
                                   placeholder="Ingresa estatura de empleado (m)"
                                   step=".01" min="0" max="3"
                                   onkeyup="checkDecimalField(this)"
                                   pattern="^\d+(?:\.\d{1,2})?$"

                                   autocomplete="off">
                        </div>
                        <div id="alerts">
                            {% for message in messages %}
                                <div class="alert {{ message.tags }}" role="alert">
                                    <strong>{{ message }}</strong>
                                    <button aria-label="Close" class="close" data-dismiss="alert" type="button"
                                            onclick="closeAlert(this)">
                                        <span aria-hidden="true">×</span></button>
                                </div>
                            {% endfor %}
                        </div>
                        <div class="action-form">
                            <button type="submit" class="button-action">Registrar empleado</button>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>

{% endblock content_page %}
{% block extra_js %}
    <script>
        function closeAlert(e) {
            e.parentNode.style.display = 'none'
        }

        function checkDecimalField(e) {
            if(e.value.length === 0) return
            if(/^\d+(?:\.\d{1,2})?$/.test(e.value)) {
                document.getElementById('alerts').innerHTML = ``;
                e.style.borderColor = '#eeeeee'
            } else {
                document.getElementById('alerts').innerHTML = `
                    <div class="alert alert-info" role="alert">
                        <strong>Valor "${e.value}" no es un valor válido</strong>
                        <button aria-label="Close" class="close" data-dismiss="alert" type="button"
                                onclick="closeAlert(this)">
                            <span aria-hidden="true">×</span></button>
                    </div>
                `;
                e.style.borderColor = 'red'
            }
        }

        function checkValue(e) {
            if (e.value.length === 0) {
                e.style.borderColor = 'red'
                return true
            } else {
                e.style.borderColor = '#eeeeee'
                return false
            }

        }

        function checkForm(e) {
            let name = document.employee.name;
            let years_old = document.employee.years_old;
            let position = document.employee.position;
            let weight = document.employee.weight;
            let height = document.employee.height;
            if (checkValue(name) || checkValue(years_old) || checkValue(position) || checkValue(weight) || checkValue(height)) {
                document.getElementById('alerts').innerHTML = `
                    <div class="alert alert-danger" role="alert">
                        <strong>No pueden haber campos vacíos</strong>
                        <button aria-label="Close" class="close" data-dismiss="alert" type="button"
                                onclick="closeAlert(this)">
                            <span aria-hidden="true">×</span></button>
                    </div>
                `;

                return false
            }
            return true
        }

    </script>
{% endblock %}
